<?php

/**
 * Suppress "error - 0 - No summary was found for this file" on phpdoc generation
 *
 * @package WPDataAccess\Data_Dictionary
 */

namespace WPDataAccess\Manage_Media {

	use WPDataAccess\List_Table\WPDA_List_Table;

	/**
	 * Class WPDA_Manage_Media_List_Table
	 *
	 * Used to build the list of media items. Covered in a specific class mainly to handle tab navigation.
	 *
	 * @author  Peter Schulz
	 * @since   2.5.0
	 */
	class WPDA_Manage_Media_List_Table extends WPDA_List_Table {

		/**
		 * Overwrite method, add tab argument.
		 *
		 * @param string $add_param
		 */
		protected function add_header_button( $add_param = '' ) {
			parent::add_header_button( '&tab=managemedia' );
		}

		/**
		 * Overwrite method, add tab argument.
		 *
		 * @param array  $item
		 * @param string $column_name
		 * @param array  $actions
		 */
		protected function column_default_add_action( $item, $column_name, &$actions ) {
			parent::column_default_add_action( $item, $column_name, $actions );
			?>
			<script language="JavaScript">
				jQuery("#view_form_" + <?php echo( self::$list_number - 1 ) ?>).append('<input type="hidden" name="tab" value="managemedia">');
				jQuery("#edit_form_" + <?php echo( self::$list_number - 1 ) ?>).append('<input type="hidden" name="tab" value="managemedia">');
				jQuery("#delete_form_" + <?php echo( self::$list_number - 1 ) ?>).append('<input type="hidden" name="tab" value="managemedia">');
			</script>
			<?php
		}

		/**
		 * Overwrite method, add tab argument.
		 */
		public function show() {
			parent::show();
			?>
			<script language="JavaScript">
				jQuery(document).ready(function () {
					var wpda_main_form_action = jQuery('#wpda_main_form').attr('action') + '&tab=managemedia';
					jQuery('#wpda_main_form').attr('action', wpda_main_form_action);
					var wpda_main_form_action = jQuery('#form_import_table').attr('action') + '&tab=managemedia';
					jQuery('#form_import_table').attr('action', wpda_main_form_action);
				});
			</script>
			<?php
		}

	}

}